#include <iostream>
#include <set>
using namespace std;
long long  proizvodCifara(long long a)
{
    long long proizvod =1;
    while(a>0)
    {
        proizvod = proizvod*(a % 10);
        a = a/10;
    }
    return proizvod;
}
int main()
{
    long long n;
    int t;
    cin>>t;
    for(int k = 0;  k < t; k ++)
    {
        cin>>n;
        set <long long>  a;
        for(int i = 1; i  <=  n; i ++)
            a.insert(proizvodCifara(i));


        cout<<a.size()<<endl;
        a.clear();
    }
    return 0;
}